<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="esffmea" nsURI="http://www.polarsys.org/esf/0.7.0/ESFFMEA" nsPrefix="ESFFMEA">
  <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
    <details key="originalName" value="ESFFMEA"/>
  </eAnnotations>
  <eClassifiers xsi:type="ecore:EClass" name="SFMEA" eSuperTypes="../../../../../../org.polarsys.esf.core.profile.esfcore/src/main/resources/models/genmodel/esfcore.ecore#//AbstractSSafetyAnalysis">
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Package" ordered="false"
        lowerBound="1" eType="ecore:EClass ../../../../../../org.eclipse.uml2.uml/model/UML.ecore#//Package"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="sBlocksFMEAList" ordered="false"
        upperBound="-1" eType="#//SBlockFMEA" volatile="true" transient="true" derived="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="SBlockFMEA" eSuperTypes="#//AbstractSFMEAElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="sBlock" ordered="false"
        lowerBound="1" eType="ecore:EClass ../../../../../../org.polarsys.esf.core.profile.esfarchitectureconcepts/src/main/resources/models/genmodel/esfarchitectureconcepts.ecore#//SBlock"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="criticality" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        volatile="true" transient="true" defaultValueLiteral="0" derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Class" ordered="false"
        lowerBound="1" eType="ecore:EClass ../../../../../../org.eclipse.uml2.uml/model/UML.ecore#//Class"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="sFailureModesFMEAList"
        ordered="false" upperBound="-1" eType="#//SFailureModeFMEA" volatile="true"
        transient="true" derived="true" eOpposite="#//SFailureModeFMEA/sBlockFMEA"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="AbstractSFMEAElement" eSuperTypes="../../../../../../org.polarsys.esf.core.profile.esfcore/src/main/resources/models/genmodel/esfcore.ecore#//AbstractSSafetyConcept"/>
  <eClassifiers xsi:type="ecore:EClass" name="SFailureModeFMEA" eSuperTypes="#//AbstractSFMEAElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="remarks" ordered="false"
        eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="initialCriticality" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        volatile="true" transient="true" defaultValueLiteral="0" derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="finalCriticality" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        volatile="true" transient="true" defaultValueLiteral="0" derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="initialOccurence" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        defaultValueLiteral="0"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="finalOccurence" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        defaultValueLiteral="0"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="initialSeverity" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        defaultValueLiteral="0"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="finalSeverity" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        defaultValueLiteral="0"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="isDetectable" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Boolean"
        defaultValueLiteral="false"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="initialDetectability" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        defaultValueLiteral="0"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Property" ordered="false"
        lowerBound="1" eType="ecore:EClass ../../../../../../org.eclipse.uml2.uml/model/UML.ecore#//Property"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="sFailureMode" ordered="false"
        lowerBound="1" eType="ecore:EClass ../../../../../../org.polarsys.esf.core.profile.esfsafetyconcepts/src/main/resources/models/genmodel/esfsafetyconcepts.ecore#//sdysfuctions/SFailureMode"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="initialPreventiveActions"
        ordered="false" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="finalPreventiveActions"
        ordered="false" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="localEffects" ordered="false"
        eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="causes" ordered="false"
        eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="finalDetectability" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//Integer"
        defaultValueLiteral="0"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="systemEffects" ordered="false"
        eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="customerEffects" ordered="false"
        eType="ecore:EDataType ../../../../../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="sBlockFMEA" ordered="false"
        lowerBound="1" eType="#//SBlockFMEA" volatile="true" transient="true" derived="true"
        eOpposite="#//SBlockFMEA/sFailureModesFMEAList"/>
  </eClassifiers>
</ecore:EPackage>
